QGIS Application - Feature request #3217
SVG/image export: Allow transparent page / no page outline.
2010-11-1510:35 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Map Composer/Printing

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13277
Description

When exporting from the print composer to svg or an image, the exported file has a white background and a very thin grey border.
In some (most?) cases it is desirable to have no border and/or to have a transparent background. These could be added as options on
the "General" tab in the print composer.

It may be desirable to have all the options: Frame colour, Background Colour, Opacity and Outline Width, like on the "ltem" tab. But |
don't think the background is as necessary as the other options.

History

#1 - 2010-11-15 10:38 PM - Alister Hood

But I don't think the background is as necessary as the other options.

Sorry - | mean | don't think specifying the background colour is as important as being able to have a transparent background.

#2 - 2011-12-16 01:55 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2014-04-06 06:02 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#6 - 2015-10-09 08:02 PM - Nyall Dawson
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to fixed/implemented

Setting the page background to transparent has been present for a few versions (since 2.2 or thereabouts). 2.12 also includes a menu option to hide pages

in composer.
